%define plugname ColorSamplerPack
%define plugver  4.0

Name: vim-plugin-%plugname
Version: %plugver
Release: alt1

Summary: Large collection of Vim color schemes
Summary(ru_RU.CP1251):     Vim
Group: Editors
License: Distributable
Url: %vim_script_url 625
BuildArch: noarch

Source: %plugname.zip

PreReq: vim-common >= 4:6.3.007-alt1
BuildPreReq: vim-devel unzip /usr/bin/vim

Packager: VIm Plugins Development Team <vim-plugins@packages.altlinux.org>

%post
%update_vimhelp

%postun
%clean_vimhelp

%description
This package includes all color themes from vim.sf.net (as of September
1th, 2004). It also contains simple menu with all these themes.

%description -l ru_RU.CP1251
       vim.sf.net    1
 2004 .,   ,    .

%prep
%setup -q -c

%build
# included in main Vim distribution
%__rm colors/{blue,delek,desert}.vim
%__cat <<EOS | /usr/bin/vim -E -s -X -N -n -i NONE -u NONE -U NONE
edit colors/ps_color.vim
source %%
write!
edit colors/reloaded.vim
source %%
write!
quit!
EOS

%install
%__mkdir_p %buildroot%vim_runtime_dir
%__cp -a * %buildroot%vim_runtime_dir

%files
%vim_colors_dir/*
%vim_plugin_dir/*
%vim_doc_dir/*.txt

%changelog
* Sat May 28 2005 Andrey Rahmatullin <wrar@altlinux.ru> 4.0-alt1
- 4.0

* Thu Sep 2 2004 Andrey Rahmatullin <wrar@altlinux.ru> 3.0-alt1
- new version
- add Packager:
- add Russian summary and description

* Thu Aug 19 2004 Andrey Rahmatullin <wrar@altlinux.ru> 2.0-alt1.1
- fix buildreqs

* Wed Aug 18 2004 Andrey Rahmatullin <wrar@altlinux.ru> 2.0-alt1
- initial build
